<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="ResetCacheBy">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="key" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="CacheType" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ResetCacheByResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ResetCacheByResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ResetCache">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="TemplateID" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="key" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ResetCacheResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ResetCacheResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ChangeSiteSettings">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="key" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ChangeSiteSettingsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ChangeSiteSettingsResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="ResetCacheBySoapIn">
    <wsdl:part name="parameters" element="tns:ResetCacheBy" />
  </wsdl:message>
  <wsdl:message name="ResetCacheBySoapOut">
    <wsdl:part name="parameters" element="tns:ResetCacheByResponse" />
  </wsdl:message>
  <wsdl:message name="ResetCacheSoapIn">
    <wsdl:part name="parameters" element="tns:ResetCache" />
  </wsdl:message>
  <wsdl:message name="ResetCacheSoapOut">
    <wsdl:part name="parameters" element="tns:ResetCacheResponse" />
  </wsdl:message>
  <wsdl:message name="ChangeSiteSettingsSoapIn">
    <wsdl:part name="parameters" element="tns:ChangeSiteSettings" />
  </wsdl:message>
  <wsdl:message name="ChangeSiteSettingsSoapOut">
    <wsdl:part name="parameters" element="tns:ChangeSiteSettingsResponse" />
  </wsdl:message>
  <wsdl:portType name="CharterDotComServicesSoap">
    <wsdl:operation name="ResetCacheBy">
      <wsdl:input message="tns:ResetCacheBySoapIn" />
      <wsdl:output message="tns:ResetCacheBySoapOut" />
    </wsdl:operation>
    <wsdl:operation name="ResetCache">
      <wsdl:input message="tns:ResetCacheSoapIn" />
      <wsdl:output message="tns:ResetCacheSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="ChangeSiteSettings">
      <wsdl:input message="tns:ChangeSiteSettingsSoapIn" />
      <wsdl:output message="tns:ChangeSiteSettingsSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="CharterDotComServicesSoap" type="tns:CharterDotComServicesSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="ResetCacheBy">
      <soap:operation soapAction="http://tempuri.org/ResetCacheBy" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ResetCache">
      <soap:operation soapAction="http://tempuri.org/ResetCache" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ChangeSiteSettings">
      <soap:operation soapAction="http://tempuri.org/ChangeSiteSettings" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="CharterDotComServicesSoap12" type="tns:CharterDotComServicesSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="ResetCacheBy">
      <soap12:operation soapAction="http://tempuri.org/ResetCacheBy" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ResetCache">
      <soap12:operation soapAction="http://tempuri.org/ResetCache" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ChangeSiteSettings">
      <soap12:operation soapAction="http://tempuri.org/ChangeSiteSettings" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="CharterDotComServices">
    <wsdl:port name="CharterDotComServicesSoap" binding="tns:CharterDotComServicesSoap">
      <soap:address location="http://localhost/_SITESETTINGS_WS/CharterDotComServices.asmx" />
    </wsdl:port>
    <wsdl:port name="CharterDotComServicesSoap12" binding="tns:CharterDotComServicesSoap12">
      <soap12:address location="http://localhost/_SITESETTINGS_WS/CharterDotComServices.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>